/*
	File:		ActionAtomCBGlue.c

	Contains:	xxx put contents here xxx

	Written by:	Rob Moore

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	11/22/93	KBA		Updated interface for MakeFSSpecFromFileSpecID().
		 <1>	11/16/93	rdm		first checked in

*/


#ifndef __CallbackDispatcherHeader__
#include "CallbackDispatcherHeader.h"
#endif

#ifndef __Files__
#include <Files.h>
#endif

#ifndef __Types__
#include <Types.h>
#endif


	
OSErr MakeFSSpecFromFileSpecID( 	CallBackProcPtr	pCallBackProcPtr,
									short			pFileSpecID,
									FSSpec*			pFSSpecPtr,
									StringHandle*	pExtraPathInfo)
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 35;
	theCallBackPBRec.fParam[0] = (long)pFileSpecID;
	theCallBackPBRec.fParam[1] = (FSSpec*)pFSSpecPtr;
	theCallBackPBRec.fParam[2] = (StringHandle*)pExtraPathInfo;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	

	
void SuspendWaitCursor( 	CallBackProcPtr	pCallBackProcPtr	)
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 36;
	(**pCallBackProcPtr)( &theCallBackPBRec );
}	

	
void ResumeWaitCursor( 	CallBackProcPtr	pCallBackProcPtr	)
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 37;
	(**pCallBackProcPtr)( &theCallBackPBRec );
}	

	
void IncrementStatusBar( 	CallBackProcPtr	pCallBackProcPtr,
							short			pIncrementAmount)

{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 38;
	theCallBackPBRec.fParam[0] = (long)pIncrementAmount;
	(**pCallBackProcPtr)( &theCallBackPBRec );
}	

	
