/*
	File:		AtomExtenderCBGlue.c

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	 7/12/93	rdm		Added #include AtomExtenderHeader.h.
		 <1>	 6/21/93	KBA		first checked in

*/

	
#ifndef __AtomExtenderHeader__
#include "AtomExtenderHeader.h"
#endif


OSErr ReadSourceData( 	CallBackProcPtr	pCallBackProcPtr,
						long*			pCount, 
						Ptr				pStoragePtr )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 21;
	theCallBackPBRec.fParam[0] = (long*)pCount;
	theCallBackPBRec.fParam[1] = (long)pStoragePtr;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	

	
OSErr WriteTargetData( 	CallBackProcPtr	pCallBackProcPtr,
						long			pCount, 
						Ptr				pStoragePtr )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 22;
	theCallBackPBRec.fParam[0] = (long)pCount;
	theCallBackPBRec.fParam[1] = (long)pStoragePtr;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	
	
OSErr ReadTargetData( 	CallBackProcPtr	pCallBackProcPtr,
						long*			pCount, 
						Ptr				pStoragePtr )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 34;
	theCallBackPBRec.fParam[0] = (long*)pCount;
	theCallBackPBRec.fParam[1] = (long)pStoragePtr;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	

OSErr SetTargetDataPos( CallBackProcPtr	pCallBackProcPtr,
						short			pPositionMode, 
						long			pPositionOffset )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 23;
	theCallBackPBRec.fParam[0] = (long)pPositionMode;
	theCallBackPBRec.fParam[1] = pPositionOffset;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	
	
OSErr GetTargetDataPos( CallBackProcPtr	pCallBackProcPtr,
						long*			pPositionOffset )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 24;
	theCallBackPBRec.fParam[0] = (long*)pPositionOffset;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	
	
OSErr GetTargetDataEOF( CallBackProcPtr	pCallBackProcPtr,
						long*			pLength )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 25;
	theCallBackPBRec.fParam[0] = (long*)pLength;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	
	
OSErr SetSourceDataPos( CallBackProcPtr	pCallBackProcPtr,
						short			pPositionMode, 
						long			pPositionOffset )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 26;
	theCallBackPBRec.fParam[0] = (long)pPositionMode;
	theCallBackPBRec.fParam[1] = pPositionOffset;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	
	
OSErr GetSourceDataPos( CallBackProcPtr	pCallBackProcPtr,
						long*			pPositionOffset )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 27;
	theCallBackPBRec.fParam[0] = (long*)pPositionOffset;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	
	

OSErr GetSourceDataEOF( CallBackProcPtr	pCallBackProcPtr,
						long*			pLength )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 28;
	theCallBackPBRec.fParam[0] = (long*)pLength;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return theCallBackPBRec.fResult;
}	

