#include "InstallerTypes.r"

include "FindTargetFile";

//  This script is set up to use a custom version proc to determine whether
//  or not to replace/update an existing file.
//  This is the recommended way of determining whether or not to update an
//  existing file.

//  If the correct flags are set, Installer will compare the 'vers' 1 resource
//  the existing target file with the version hard-coded in the 'infa'
//  of the source file.

//  The following flags must be set:
//		copy, useSrcCrDateToCompare, leaveAloneIfNewer, & update existing.
//  also the 'infa' must have the source version hard-coded in BCD format.


resource 'inpk' (100) {
	format0 {
		showsOnCustom,
		removable,
		dontForceRestart,
		0,
		13555,
		"Replace all copies of TeachText on the select disk",
		{	'infa', 1000	},
		}
	};

resource 'infa' (1000) {
	format1 {
		deleteWhenRemoving,
		deleteWhenInstalling,
		copy,							//  Copy on Install
		dontIgnoreLockedFile,
		dontSetFileLocked,
		useVersProcToCompare,			//  Use default version proc for compare
		srcNeedExist,
		rsrcForkInRsrcFork,
		leaveAloneIfNewer,				//  Do not update a newer file
		updateExisting,					//  Update an existing file
		copyIfNewOrUpdate,
		rsrcFork,
		dataFork,
		0,
		0x0,
		10000,
		{	20000, 0, 0	},
		0,								//  The source version number in BCD format
		0,
		0,
		"Read Me"
		}
	};


resource 'intf' (10000) {
	format0 {
		searchForFile,
		TypeCrNeedNotMatch,
		'APPL',
		'ttxt',
		200,
		":TeachText"
		}
	};

resource 'infs' (20000) {
	'APPL',
	'ttxt',
	0x1,
	noSearchForFile,
	TypeCrMustMatch,
	"Tidbits:Apple Utilities:TeachText"			//  System 7.1 Tidbits FDHD diskette
	};

resource 'insp' (200) {
	format0 {
		'infn',				// Code Rsrc Type
		401,				// Code Rsrc ID
		0,					// RefCon
		20000,				// Min Required Memory
		"Searching for all TeachText applications test."	// Summary
		}
	};
